Subject: Re: bug#46926: Remove the quotes from highlighted/linked symbols when displaying docs

From: Eli Zaretskii <[email-masked]>
Date: Thu, 04 Mar 2021 20:36:13 +0200

> Date: Thu, 04 Mar 2021 17:50:27 +0000
> From: scame <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>
> 
> >
> > Help buffers do, but where did you see that in Info? Can you show an
> > example?
> 
> Info does not link, but highlight symbols.

By "highlight", do you mean the special face we use there?  If so,
that's not highlighting.

> BTW, why symbols in info are not linked to their index entries?
> E.g. the user could press Enter on a highlighted symbol to quickly
> look it up. Why isn't this a thing?

I believe this was discussed recently.  But it's a different issue;
the Info manuals provide cross-references where the author thought
they are needed.

> > I disagree. The quotes indicate that it's a symbol, the link face
> > indicates that we have more information about that symbol elsewhere.
> > These are two orthogonal indications, so they complete each other, not
> > contradict.
> 
> Well, is this a symbol?  Example from Elisp info:
> 
> ‘(DISPLAY PLIST)’
> 
> or
> 
> ‘(:foreground "red" :weight bold)’

How is this related to the issue at hand?

> These have the face Info-quoted like quoted symbols in Info. So the face
> indicates this is a quoted entity (not necessarily a symbol).

We could discuss whether the face alone is enough in Info.  My
personal opinion is that it isn't enough: the face we use there
doesn't guarantee any highlighting, because the user could customize
the face to be anything but.

> If we have a face Info-quoted then there is no need for the quotes, because
> the quotes are only text markups which are translated to a face, so the quoted
> part is highlighted for the user, there is no point in leaving the markup there.

I don't think I agree, but maybe someone else will have an opinion?

And what about Help buffers?